List available Skill languages
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/skills/languages \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/skills/languages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/skills/languages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"languages": [
"en_uk",
"nl",
"fr"
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Skills
List available Skill languages
Get the list of languages available for Skills in the tenant’s vocabulary. The available languages depend on the vocabulary version associated with the specified external vendor.
List available Skill languages
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.
Available options:
techwolf, workday, sap_attribute_library Example:
"workday"
Response
OK
The list of language codes available for Skills in the tenant's vocabulary. Each language code follows the internal format (e.g. en_uk, nl, fr).
Minimum string length:
1Example:
["en_uk", "nl", "fr"]
Was this page helpful?